package cn.com.poc.agent_application.entity;

import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.ToolFunction;

/**
 * @author alex.yao
 * @date 2025/2/27
 */
public class AgentResultEntity {

    private String message;

    private String reasoningContent;

    private ToolFunction function;

    public ToolFunction getFunction() {
        return function;
    }

    public void setFunction(ToolFunction function) {
        this.function = function;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getReasoningContent() {
        return reasoningContent;
    }

    public void setReasoningContent(String reasoningContent) {
        this.reasoningContent = reasoningContent;
    }
}
